Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 257)
@@ -13,6 +13,6 @@
     die ("You can't access this file directly...");
 }
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -45,30 +45,62 @@
 global $votolista, $limite, $dettnulli,$disgiunto;
 if(!isset($votolista)) $votolista=0;
-$res = mysql_query("SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" , $dbi);
-list($tipo_cons) = mysql_fetch_row($res);
+$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
 if ($tipo_cons!=3 or $votolista==1) $limite=0; #die ("limite: $limite");}
-$res = mysql_query("SELECT count(id_circ) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
-list($num_circ)=mysql_fetch_row($res);
-$res = mysql_query("SELECT solo_gruppo,disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
-list($dettnulli,$disgiunto)=mysql_fetch_row($res);
+$sql="SELECT count(id_circ) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+list($num_circ)=$res->fetch(PDO::FETCH_NUM);
+$sql="SELECT solo_gruppo,disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+list($dettnulli,$disgiunto)=$res->fetch(PDO::FETCH_NUM);
 if ($conscirc){  // or $num_circ==1
 	if (!$id_circ){
 		if (!$id_sez){
-			$res = mysql_query("SELECT id_sez FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez='1'", $dbi);
-			list($id_sez)=mysql_fetch_row($res);
-		}
-		$res = mysql_query("SELECT t1.id_circ FROM ".$prefix."_ele_sede as t1 left join ".$prefix."_ele_sezioni as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and t2.id_sez='$id_sez'", $dbi);
-		#$res = mysql_query("SELECT id_circ FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' order by num_circ limit 0,1", $dbi);
-		if (!$res) die("Errore, non trovo circoscrizioni inserite! Consultare l'amministratore");
-		list($id_circ)=mysql_fetch_row($res);
+			$sql="SELECT id_sez FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez='1'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+			list($id_sez)=$res->fetch(PDO::FETCH_NUM);
+		}
+		$sql="SELECT t1.id_circ FROM ".$prefix."_ele_sede as t1 left join ".$prefix."_ele_sezioni as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and t2.id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		#$sql="SELECT id_circ FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' order by num_circ limit 0,1";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		if (!$res->rowCount()) die("Errore, non trovo circoscrizioni inserite! Consultare l'amministratore");
+		list($id_circ)=$res->fetch(PDO::FETCH_NUM);
 		$_SESSION['id_circ']=$id_circ;
 	}
-	$result = mysql_query("select id_sede from ".$prefix."_ele_sede where id_circ='$id_circ'", $dbi);
+	$sql="select id_sede from ".$prefix."_ele_sede where id_circ='$id_circ'";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
 	$i=0;
-	while(list($tmp) = mysql_fetch_row($result)) $idsedi[$i++]=$tmp;$tmp=implode (",",$idsedi);
+	while(list($tmp) = $result->fetch(PDO::FETCH_NUM)) $idsedi[$i++]=$tmp;$tmp=implode (",",$idsedi);
 	unset($idsedi);$i=0;$idsezi=array();unset($result);
-	$result = mysql_query("SELECT id_sez FROM ".$prefix."_ele_sezioni where id_sede in ($tmp)", $dbi);
+	$sql="SELECT id_sez FROM ".$prefix."_ele_sezioni where id_sede in ($tmp)";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
 	unset($tmp);
-	while(list($tmp) = mysql_fetch_row($result)) $idsezi[$i++]=$tmp;
+	while(list($tmp) = $result->fetch(PDO::FETCH_NUM)) $idsezi[$i++]=$tmp;
 	$tmp=implode (",",$idsezi);
 	$sezi = "and id_sez in ($tmp)";
@@ -88,10 +120,18 @@
 $stret=0; $contains=0;
 ###########
-$res = mysql_query("SELECT data,orario FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data asc,orario asc", $dbi);
-$num_ril=mysql_num_rows($res);
-$res3 = mysql_query("SELECT stato_aff, stato_val,stato_gru,stato_lis,stato_can,status FROM ".$prefix."_ele_controllosez where id_sez='$id_sez' and id_cons='$id_cons'", $dbi);
+$sql="SELECT data,orario FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data asc,orario asc";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+$num_ril=$res->rowCount();
+$sql="SELECT stato_aff, stato_val,stato_gru,stato_lis,stato_can,status FROM ".$prefix."_ele_controllosez where id_sez='$id_sez' and id_cons='$id_cons'";
+$res3 = $dbi->prepare("$sql");
+$res3->execute();
+
+
 						
-if(mysql_num_rows($res3)){
-	list($aff,$val,$gru,$lis,$can,$status)=mysql_fetch_row($res3); 
+if($res3->rowCount()){
+	list($aff,$val,$gru,$lis,$can,$status)=$res3->fetch(PDO::FETCH_NUM); 
 	if ($can) {$ops=-5;}
 	elseif ($lis) {$ops=-3;}
@@ -105,28 +145,48 @@
 	if($ops==0){
 #controllo congruenza affluenze
-		$res3= mysql_query("SELECT count(num_sez) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
-		list($numtot) = mysql_fetch_row($res3);
+		$sql="SELECT count(num_sez) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+$res3 = $dbi->prepare("$sql");
+$res3->execute();
+
+
+		list($numtot) = $res3->fetch(PDO::FETCH_NUM);
 		$test_ril=0;$pre_rilc=0;$pre_rilm=0;$pre_rilf=0;
-		if($res)
-		while (list($giorno,$ora) = mysql_fetch_row($res)){
+		if($res->rowCount())
+		while (list($giorno,$ora) = $res->fetch(PDO::FETCH_NUM)){
 			$test_ril++;
 			$query="SELECT voti_complessivi FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' $perref and orario='$ora' and data='$giorno'";
-			$res2 = mysql_query("$query", $dbi);
-			$numscru=mysql_num_rows($res2);
+			$sql="$query";
+$res2 = $dbi->prepare("$sql");
+$res2->execute();
+
+
+			$numscru=$res2->rowCount();
 			$query="SELECT sum(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' $perref and orario='$ora' and data='$giorno'";
-			$res2 = mysql_query("$query", $dbi);
-			list($voti)=mysql_fetch_row($res2);
+			$sql="$query";
+$res2 = $dbi->prepare("$sql");
+$res2->execute();
+
+
+			list($voti)=$res2->fetch(PDO::FETCH_NUM);
 			if($numscru) {
 				if(isset($ora)){
 					$query="SELECT count(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' $perref and orario='$ora' and data='$giorno'";
-#					$res3 = mysql_query("$query", $dbi);
+#					$res3 = mysql_query("$query";
 #					list($numscru)=mysql_fetch_row($res3);
-					$res3= mysql_query("SELECT maschi+autorizzati_m,femmine+autorizzati_f FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'", $dbi);
-					list($iscrittim,$iscrittif) = mysql_fetch_row($res3);
+					$sql="SELECT maschi+autorizzati_m,femmine+autorizzati_f FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'";
+$res3 = $dbi->prepare("$sql");
+$res3->execute();
+
+
+					list($iscrittim,$iscrittif) = $res3->fetch(PDO::FETCH_NUM);
 					$iscritti=$iscrittim+$iscrittif;
 					
 					$query="SELECT voti_complessivi, voti_uomini, voti_donne FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' $perref and orario='$ora' and data='$giorno'";
-					$res3 = mysql_query("$query", $dbi);
-					list($voti, $uomini, $donne)=mysql_fetch_row($res3);
+					$sql="$query";
+$res3 = $dbi->prepare("$sql");
+$res3->execute();
+
+
+					list($voti, $uomini, $donne)=$res3->fetch(PDO::FETCH_NUM);
 						if (((($uomini+$donne)==0 and ($voti<=$iscritti) and $voti>=$pre_rilc) or ((($uomini+$donne)==$voti) and ($uomini<=$iscrittim) and ($donne<=$iscrittif) )) and $uomini>=$pre_rilm and $donne>=$pre_rilf and $voti>=$pre_rilc)
 						{
@@ -142,17 +202,29 @@
 		#controllo congruenza voti espressi
 			#per referendum
-		$resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
+		$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+$resref = $dbi->prepare("$sql");
+$resref->execute();
+
+
 		if($genere==0){ 
-			$numscru=mysql_num_rows($resref); $rifscru=0;
-			while(list($idrefgruppo)=mysql_fetch_row($resref)) {
-			$res2= mysql_query("SELECT si,no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez' and id_gruppo='$idrefgruppo'", $dbi);
-			$refscru=mysql_num_rows($res2); 
+			$numscru=$resref->rowCount(); $rifscru=0;
+			while(list($idrefgruppo)=$resref->fetch(PDO::FETCH_NUM)) {
+			$sql="SELECT si,no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
+$res2 = $dbi->prepare("$sql");
+$res2->execute();
+
+
+			$refscru=$res2->rowCount(); 
 				if($refscru){
 					$query="SELECT voti_complessivi FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_gruppo='$idrefgruppo' order by data desc, orario desc";
-					$res3 = mysql_query("$query", $dbi);
-					list($voti)=mysql_fetch_row($res3);
+					$sql="$query";
+$res3 = $dbi->prepare("$sql");
+$res3->execute();
+
+
+					list($voti)=$res3->fetch(PDO::FETCH_NUM);
 				
 					$rifscru++;
-					list($si,$no,$validi,$nulli,$bianchi,$contestati)=mysql_fetch_row($res2);
+					list($si,$no,$validi,$nulli,$bianchi,$contestati)=$res2->fetch(PDO::FETCH_NUM);
 					if(($si+$no==$validi) and ($validi+$nulli+$bianchi+$contestati==$voti)) { if($rifscru==$numscru) $status=5; else $status=4; $ops=-4;$val=1;} #{$status=1;return (-4);}
 					else {$val=-1;$stret=4;break;} #return (4);
@@ -161,12 +233,20 @@
 		}else{
 			#per le altre consultazione
-		$res2= mysql_query("SELECT validi FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' and id_cons='$id_cons' ", $dbi);
+		$sql="SELECT validi FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' and id_cons='$id_cons' ";
+$res2 = $dbi->prepare("$sql");
+$res2->execute();
+
+
 		if($res2){
-		list($validi) = mysql_fetch_row($res2);
+		list($validi) = $res2->fetch(PDO::FETCH_NUM);
 			if($validi) {
 					$status=0;
 					$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
-					$res4 = mysql_query("$query", $dbi);
-					list($validi, $nulli, $bianchi,$contestati,$votinulli,$sologruppo,$validilista,$contestatilista,$votinullilista,$sololista)=mysql_fetch_row($res4);
+					$sql="$query";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+					list($validi, $nulli, $bianchi,$contestati,$votinulli,$sologruppo,$validilista,$contestatilista,$votinullilista,$sololista)=$res4->fetch(PDO::FETCH_NUM);
 					if($validi>0) {
 						if (($validi+$nulli+$bianchi+$contestati+$votinulli)==$voti)
@@ -178,11 +258,15 @@
 		#controllo congruenza voti di gruppo
 		if($genere!=4){
-		$res3= mysql_query("SELECT sum(voti),sum(solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_cons='$id_cons'", $dbi);
-		if($res3 and !$votog){#$status=0;$ops=-4;
-			list($votigs,$votisolog) = mysql_fetch_row($res3);
+		$sql="SELECT sum(voti),sum(solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_cons='$id_cons'";
+$res3 = $dbi->prepare("$sql");
+$res3->execute();
+
+
+		if($res3->rowCount() and !$votog){#$status=0;$ops=-4;
+			list($votigs,$votisolog) = m$res3->fetch(PDO::FETCH_NUM);
 			if($votigs  and $genere!=2) {  
 				#	$status=0;
 #					$query="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
-#					$res4 = mysql_query("$query", $dbi);
+#					$res4 = mysql_query("$query";
 #					list($votigs)=mysql_fetch_row($res4);
 					if($votigs>0||$sololista==$validi) {
@@ -195,17 +279,29 @@
 		}#else {$gru=1;echo "--$votigs -- $votog";}
 		if(($genere>1 and !$votol)){#$status=0;
-		$res4= mysql_query("SELECT t1.preferenze,t1.id_fascia,t2.limite,t1.disgiunto FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_conf as t2 on t1.id_conf=t2.id_conf where t1.id_cons='$id_cons'", $dbi);
-		if($res4) list($testpref,$fascia,$limite,$disgiunto)=mysql_fetch_row($res4); else {$testpref=0;$fascia=0;$limite=0;}
+		$sql="SELECT t1.preferenze,t1.id_fascia,t2.limite,t1.disgiunto FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_conf as t2 on t1.id_conf=t2.id_conf where t1.id_cons='$id_cons'";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+		if($res4) list($testpref,$fascia,$limite,$disgiunto)=$res4->fetch(PDO::FETCH_NUM); else {$testpref=0;$fascia=0;$limite=0;}
 
 		#controllo congruenza voti di lista
-#		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
+#		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
 #			list($votil) = mysql_fetch_row($res3);
 					$tablg=($fascia<=$limite && !$disgiunto) ? "gruppo":"lista";
 					$query="SELECT sum(voti),sum(solo_".$tablg.") FROM ".$prefix."_ele_voti_$tablg where id_sez='$id_sez' and  id_cons='$id_cons'";	
-					$res4 = mysql_query($query, $dbi);
-					list($votils,$votisolols)=mysql_fetch_row($res4);
+					$sql=$query;
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+					list($votils,$votisolols)=$res4->fetch(PDO::FETCH_NUM);
 					$query="SELECT voti FROM ".$prefix."_ele_voti_$tablg where id_sez='$id_sez' and  id_cons='$id_cons'";	
-					$res4 = mysql_query($query, $dbi);
-					$sezscru=mysql_num_rows($res4);
+					$sql=$query;
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+					$sezscru=$res4->rowCount();
 			if($sezscru) {
 					if($genere==4 or $votog) {$contrlis= ($votisolols==$sololista || $votisolols==0) ? 1:0; }
@@ -216,10 +312,18 @@
 						$contrlis=($votisolols==$sololista  || $votisolols==0) ? 1:0;
 						if($contrlis  and $tipo_cons==18 or $tipo_cons==19)
-							while ( list($id_gruppo)=mysql_fetch_row($resref))
+							while ( list($id_gruppo)=$resref->fetch(PDO::FETCH_NUM))
 								{
-								$res3= mysql_query("SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
-								$res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
-								list($vgruppo)=mysql_fetch_row($res3);
-								list($vliste)=mysql_fetch_row($res4);
+								$sql="SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
+$res3 = $dbi->prepare("$sql");
+$res3->execute();
+
+
+								$res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+								list($vgruppo)=$res3->fetch(PDO::FETCH_NUM);
+								list($vliste)=$res4->fetch(PDO::FETCH_NUM);
 								if($vliste>$vgruppo) {$contrlis=0 ;} 
 								if($vliste<$vgruppo) {$contrlis=0 ;} 
@@ -232,31 +336,59 @@
 					
 #					if($votils>0) {
-					if(mysql_num_rows($res4)>0) {
-#						$res4= mysql_query("SELECT count(0) FROM ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and  id_sez='$id_sez' ", $dbi);
+					if($res4->rowCount()>0) {
+#						$res4= mysql_query("SELECT count(0) FROM ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and  id_sez='$id_sez' ";
 #						list($contains)=mysql_fetch_row($res4);
 #						if($contains==0) $tutte=1; else $tutte=0;
 							
 							$query="SELECT id_lista FROM ".$prefix."_ele_lista where id_cons='$id_cons' $circo";
-							$res3 = mysql_query("$query", $dbi); 
-							$contaliste=mysql_num_rows($res3);
-							$res4= mysql_query("SELECT preferenze FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'", $dbi);
-							if($res4) list($testpref)=mysql_fetch_row($res4); else $testpref=0;
-							while(list($testlista)=mysql_fetch_row($res3)){
+							$sql="$query";
+$res3 = $dbi->prepare("$sql");
+$res3->execute();
+
+ 
+							$contaliste=$res3->rowCount();
+							$sql="SELECT preferenze FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+							if($res4->rowCount()) list($testpref)=$res4->fetch(PDO::FETCH_NUM); else $testpref=0;
+							while(list($testlista)=$res3->fetch(PDO::FETCH_NUM)){
 								if($fascia<=$limite and !$disgiunto and !$dettnulli)
 								{
-									$res4= mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_lista='$testlista'", $dbi);
-									list($idgruppo)=mysql_fetch_row($res4);
-									$res4= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$idgruppo'", $dbi);
+									$sql="SELECT id_gruppo FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_lista='$testlista'";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+									list($idgruppo)=$res4->fetch(PDO::FETCH_NUM);
+									$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$idgruppo'";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
 
 								}else{
-									$res4= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez' and id_lista='$testlista'", $dbi);
+									$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez' and id_lista='$testlista'";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
 								}
-								if($res4) list($testvotil)=mysql_fetch_row($res4); else $testvotil=0;
-								$res4= mysql_query("SELECT sum(t1.voti) FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and  t1.id_sez='$id_sez' and t2.id_lista='$testlista'", $dbi);
-								if($res4) list($testvotic)=mysql_fetch_row($res4); else $testvotic=0;
-								$res4= mysql_query("SELECT t1.voti FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and  t1.id_sez='$id_sez' and t2.id_lista='$testlista'", $dbi);
-								if(mysql_num_rows($res4)) $contains++;
+								if($res4) list($testvotil)=$res4->fetch(PDO::FETCH_NUM); else $testvotil=0;
+								$sql="SELECT sum(t1.voti) FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and  t1.id_sez='$id_sez' and t2.id_lista='$testlista'";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+								if($res4) list($testvotic)=$res4->fetch(PDO::FETCH_NUM); else $testvotic=0;
+								$sql="SELECT t1.voti FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and  t1.id_sez='$id_sez' and t2.id_lista='$testlista'";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+								if($res4->rowCount()) $contains++;
 								$totvotic=0;
-								while(list($testvotic)=mysql_fetch_row($res4))
+								while(list($testvotic)=$res4->fetch(PDO::FETCH_NUM))
 								{
 									$totvotic+=$testvotic;
@@ -272,5 +404,9 @@
 		}
 					if(isset($can)){ 
-						$res4=mysql_query("insert into ".$prefix."_ele_controllosez values('$id_sez','$id_cons','$aff','$val','$gru','$lis','$can','$status')",$dbi);
+						$sql="insert into ".$prefix."_ele_controllosez values('$id_sez','$id_cons','$aff','$val','$gru','$lis','$can','$status')";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
 					}
 }
@@ -303,12 +439,20 @@
 	$solosede='';
 	if ($perms<32) {
-		$res = mysql_query("SELECT id_sede FROM ".$prefix."_ele_operatori where aid='$aid' and id_cons=$id_cons", $dbi);
+		$sql="SELECT id_sede FROM ".$prefix."_ele_operatori where aid='$aid' and id_cons=$id_cons";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 		if ($res) {
-			list($solouna)=mysql_fetch_row($res);
+			list($solouna)=$res->fetch(PDO::FETCH_NUM);
 			if ($solouna>0) $solosede="and id_sede='$solouna'";
 			}
 		}
-		$res = mysql_query("SELECT num_sez, id_sez ,id_sede FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' $solosede order by num_sez", $dbi);
-		$max = mysql_num_rows($res);
+		$sql="SELECT num_sez, id_sez ,id_sede FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' $solosede order by num_sez";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		$max = $res->rowCount();
 		//if ($max>=64){
 		$i=0;
@@ -317,10 +461,14 @@
 
 		echo "<div id=\"navmenu\"> <ul>";
-		while(list($sez_num, $sez_id ,$sede_id) = mysql_fetch_row($res)) {
+		while(list($sez_num, $sez_id ,$sede_id) = $res->fetch(PDO::FETCH_NUM)) {
 			$ops='';
 			if(!$id_sez) {$id_sez=$sez_id; $id_sede=$sede_id;}
 			$i++;
-			$result = mysql_query("SELECT id_circ FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_sede='$sede_id' ", $dbi);
-			list($circ_id) = mysql_fetch_row($result);
+			$result = mysql_query("SELECT id_circ FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_sede='$sede_id' ";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+			list($circ_id) = $result->fetch(PDO::FETCH_NUM);
 			//colora la sezione
 			$sezstat=0; #die($ops);
@@ -361,6 +509,10 @@
 			
 			if(!$ops) $ops=1;
-			$res2= mysql_query("SELECT num_sez FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'", $dbi);
-			list($numero_sez) = mysql_fetch_row($res2);
+			$sql="SELECT num_sez FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'";
+$res2 = $dbi->prepare("$sql");
+$res2->execute();
+
+
+			list($numero_sez) = $res2->fetch(PDO::FETCH_NUM);
 			if ($sez_num==$numero_sez) {$cursez.= " border: solid; border-color: YELLOW; border-width: 4px; border-left: solid gray 4px; border-top: solid gray 4px;\"";} else $cursez.="\"";
 			echo "\n<li $cursez><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$circ_id&amp;id_sede=$sede_id&amp;id_sez=$sez_id&amp;ops=$ops&amp;do=spoglio&amp;id_lista=$id_lista\">$sez_num</a></b></li>\n";
@@ -386,14 +538,22 @@
 	///////////////////////
 
-	$resoper=mysql_query("SELECT t1.id_sede,t2.id_circ FROM ".$prefix."_ele_operatori as t1,
+	$sql="SELECT t1.id_sede,t2.id_circ FROM ".$prefix."_ele_operatori as t1,
 			 ".$prefix."_ele_sede as t2 
-			 where t1.id_cons='$id_cons' AND t1.id_sede=t2.id_sede and t1.aid='$aid'", $dbi);
-	list($id_sede2,$id_circ2) = mysql_fetch_row($resoper);
+			 where t1.id_cons='$id_cons' AND t1.id_sede=t2.id_sede and t1.aid='$aid'";
+$resoper = $dbi->prepare("$sql");
+$resoper->execute();
+
+
+	list($id_sede2,$id_circ2) = $resoper->fetch(PDO::FETCH_NUM);
 	if ($id_sede2 and !($id_sede==$id_sede2)) {
 		$id_sede=$id_sede2;
 		$id_circ=$id_circ2;
 		$do="spoglio";
-		$res= mysql_query("SELECT id_sez FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sede=$id_sede order by num_sez limit 0,1", $dbi);
-		list($id_sez) = mysql_fetch_row($res);
+		$sql="SELECT id_sez FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sede=$id_sede order by num_sez limit 0,1";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		list($id_sez) = $res->fetch(PDO::FETCH_NUM);
 	}
 	if  ($do == "circo") {
@@ -406,6 +566,10 @@
 		.""._CIRCO.": "
 		."<select name=\"id_circ\">";
-		$res= mysql_query("SELECT id_circ,descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' order by num_circ", $dbi);
-        	while(list($id,$descr) = mysql_fetch_row($res)) {
+		$sql="SELECT id_circ,descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' order by num_circ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+        	while(list($id,$descr) = $res->fetch(PDO::FETCH_NUM)) {
         		if ($descr!="Tutte"){
         			if ($id == $id_circ) {
@@ -433,6 +597,10 @@
 		OpenTable();
  		echo "\n<tr><td><form name=\"sede\" action=\"admin.php\">";
-		$res= mysql_query("SELECT  descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' AND id_circ='$id_circ' order by num_circ", $dbi);
-        	list( $descr_circ) = mysql_fetch_row($res);
+		$sql="SELECT  descrizione FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' AND id_circ='$id_circ' order by num_circ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+        	list( $descr_circ) = $res->fetch(PDO::FETCH_NUM);
 		echo "<a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;do=circo\">"._CIRCO."</a> $descr_circ ->";
       		echo "<input type=\"hidden\" name=\"op\" value=\"voti\">"
@@ -443,7 +611,11 @@
 		.""._INDIRIZZO.": "
 		."<select name=\"id_sede\">";
-		$res= mysql_query("SELECT id_sede,indirizzo FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_circ='$id_circ' order by indirizzo", $dbi);
+		$sql="SELECT id_sede,indirizzo FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_circ='$id_circ' order by indirizzo";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 //        	echo "$id_circ - $id_cons";
-		while(list($id,$indir) = mysql_fetch_row($res)) {
+		while(list($id,$indir) = $res->fetch(PDO::FETCH_NUM)) {
         		if ($id == $id_sede) {
 		     		$sel = "selected";
@@ -471,6 +643,10 @@
 	// Menu spoglio
 	//************************************
-     		$result = mysql_query("select id_cons,id_sez,id_sede,num_sez, maschi, femmine  from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-     		list($id_cons2,$id_sez2,$id_sede,$num_sez, $maschi, $femmine) = mysql_fetch_row($result);
+     		$sql="select id_cons,id_sez,id_sede,num_sez, maschi, femmine  from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+     		list($id_cons2,$id_sez2,$id_sede,$num_sez, $maschi, $femmine) = $result->fetch(PDO::FETCH_NUM);
 
                 echo "<hr><table><tr><td  width=\"200\"><font size =\"4\" color=\"black\" align=\"left\"><b>Sezione N. $num_sez</b></font size></td><td><table><tr>";
@@ -490,13 +666,25 @@
 	if (!$id_sez) { echo"";#import( pagina di help );
 	} else{
-		$res= mysql_query("SELECT data, orario from ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1", $dbi);
-		list($data,$orario)=mysql_fetch_row($res);
-		$res= mysql_query("SELECT voti_complessivi from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and orario='$orario' and data='$data'", $dbi);
-        list($voti) = mysql_fetch_row($res);
+		$sql="SELECT data, orario from ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		list($data,$orario)=$res->fetch(PDO::FETCH_NUM);
+		$sql="SELECT voti_complessivi from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and orario='$orario' and data='$data'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+        list($voti) = $res->fetch(PDO::FETCH_NUM);
 		if (!$voti) $ops=1;
 		else {
 			if($genere<4){
-				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'", $dbi);
-        		list($voti) = mysql_fetch_row($res);
+				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+        		list($voti) = $res->fetch(PDO::FETCH_NUM);
 				if ($voti==0 or $genere<3) $ops=4;
 				}
@@ -557,28 +745,56 @@
 $bgcolor2=$_SESSION['bgcolor2'];
     //controlla se sono stati inseriti i votanti
-$result = mysql_query("SELECT preferenze, id_fascia, id_conf,solo_gruppo, disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
-list($numprefs,$fascia,$id_conf,$flagsg,$disgiunto)=mysql_fetch_row($result);
+$sql="SELECT preferenze, id_fascia, id_conf,solo_gruppo, disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+list($numprefs,$fascia,$id_conf,$flagsg,$disgiunto)=$result->fetch(PDO::FETCH_NUM);
 
 ####### 06-11-2014 - circoscrizionali - nello spostamento ad altra sezione resta sullo stesso numero di lista anche se sono sezioni di diverse circoscrizioni
 if ($circo and $id_lista){
-	$res_lis = mysql_query("SELECT num_lista from ".$prefix."_ele_lista where id_lista=$id_lista",$dbi);
-	list($num_lista)=mysql_fetch_row($res_lis);
-	$res_lis = mysql_query("SELECT id_lista from ".$prefix."_ele_lista where num_lista=$num_lista and id_cons='$id_cons' $circo",$dbi);
-	list($id_lista)=mysql_fetch_row($res_lis);
+	$sql="SELECT num_lista from ".$prefix."_ele_lista where id_lista=$id_lista";
+$res_lis = $dbi->prepare("$sql");
+$res_lis->execute();
+
+
+	list($num_lista)=$res_lis->fetch(PDO::FETCH_NUM);
+	$sql="SELECT id_lista from ".$prefix."_ele_lista where num_lista=$num_lista and id_cons='$id_cons' $circo";
+$res_lis = $dbi->prepare("$sql");
+$res_lis->execute();
+
+
+	list($id_lista)=$res_lis->fetch(PDO::FETCH_NUM);
 }
 #######    
 if(!$votog and ($genere==3 or $genere==5))
-	$result = mysql_query("select validi_lista,nulli,bianchi,contestati_lista,voti_nulli_lista from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
+	$sql="select validi_lista,nulli,bianchi,contestati_lista,voti_nulli_lista from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
 else
-	$result = mysql_query("select validi,nulli,bianchi,contestati,voti_nulli from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
-    list($validi,$nulli,$bianchi,$contestati,$votinulli) = mysql_fetch_row($result);
+	$sql="select validi,nulli,bianchi,contestati,voti_nulli from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+    list($validi,$nulli,$bianchi,$contestati,$votinulli) = $result->fetch(PDO::FETCH_NUM);
 		echo "<table class=\"table-menu\" style=\"width: 100%;\"><tr>";
-		$res_lis = mysql_query("SELECT id_lista, descrizione,num_lista from ".$prefix."_ele_lista where id_cons=$id_cons $circo order by num_lista",$dbi);
-		$num_liste = mysql_num_rows($res_lis);
+		$sql="SELECT id_lista, descrizione,num_lista from ".$prefix."_ele_lista where id_cons=$id_cons $circo order by num_lista";
+$res_lis = $dbi->prepare("$sql");
+$res_lis->execute();
+
+
+		$num_liste = $res_lis->rowCount();
 		$ele_lista='';
 		if (($genere==4 or $genere==5) and !$votoc) { //liste a piu' candidati
 			if(($genere==5 and $id_conf and $fascia<=$limite and !$disgiunto) and !$id_lista) { //esclude il voto di lista per le comunali nei comuni sotto fascia limite
-				$result = mysql_query("SELECT id_lista from ".$prefix."_ele_lista where id_cons=$id_cons limit 0,1",$dbi);
-				list($id_lista)=mysql_fetch_row($result);
+				$sql="SELECT id_lista from ".$prefix."_ele_lista where id_cons=$id_cons limit 0,1";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+				list($id_lista)=$result->fetch(PDO::FETCH_NUM);
 			}
 			echo "<td>&nbsp;</td></tr><tr><td style=\"vertical-align: top;\">";
